package cn.ysk.cashier.cons.service;

import cn.ysk.cashier.cons.domain.TbConUnit;
import cn.ysk.cashier.cons.service.dto.TbConUnitDto;
import cn.ysk.cashier.cons.service.dto.TbConUnitQueryCriteria;
import org.springframework.data.domain.Pageable;
import java.util.Map;
import java.util.List;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;

/**
* @author admin
* @date 2024-07-12
**/
public interface TbConUnitService {

    /**
    * 查询数据分页
    * @param criteria 条件
    * @param pageable 分页参数
    * @return Map<String,Object>
    */
    Map<String,Object> queryAll(TbConUnitQueryCriteria criteria, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param criteria 条件参数
    * @return List<TbConUnitDto>
    */
    List<TbConUnitDto> queryAll(TbConUnitQueryCriteria criteria);

    /**
     * 根据ID查询
     * @param id ID
     * @return TbConUnitDto
     */
    TbConUnitDto findById(Integer id);

    /**
    * 创建
    * @param resources /
    * @return TbConUnitDto
    */
    TbConUnitDto create(TbConUnit resources);

    /**
    * 编辑
    * @param resources /
    */
    void update(TbConUnit resources);

    /**
    * 多选删除
    * @param ids /
    */
    void deleteAll(Integer[] ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    void download(List<TbConUnitDto> all, HttpServletResponse response) throws IOException;



    Map<String,Object> queryAllInfo(TbConUnitQueryCriteria criteria, Pageable pageable);
}